<!DOCTYPE html>
<html lang="no" prefix="og: http://ogp.me/ns#">
<head>

</head>
<body>

    <div class="ui grid container">
      <div class="row">
        <div class="col-md-12">
          <h1 class="entry-title">Din handlekurv</h1>
          <div class="simpleCart_items"></div>
        </div>
      </div>
      <div class="row">
        <form id="c_info" class="ui form">
          <div class="">
            <fieldset>

              <!-- Form Name -->
              <legend>Kontaktinformasjon</legend>

              <!-- Text input-->
              <div class="">
                <label class="" for="c_name"><span class="required-star">*</span> Navn/firmanavn</label>  
                <div class="">
                  <input id="c_name" name="c_name" type="text" placeholder="Fornavn" class="" data-parsley-trigger="focusin focusout" required>
                </div>
              </div>

              <!-- Text input-->
              <div class="">
                <label class="" for="c_email"><span class="required-star">*</span> E-post</label>  
                <div class="">
                  <input id="c_email" name="c_email" data-parsley-type="email" placeholder="E-post" class=" input-md" data-parsley-trigger="change" required>
                </div>
              </div>

              <!-- Text input-->
              <div class="">
                <label class="" for="c_extBillingEmail">Fakturaepost</label>
                <div class="">
                  <input id="c_extBillingEmail" name="c_extBillingEmail" type="text" placeholder="Fakturaepost" class=" input-md">
                  <span class="help-block">Fakturaepost dersom det er nødvendig.</span>
                </div>
              </div>

              <!-- Text input-->
              <div class="">
                <label class="" for="c_phone">Telefon</label>
                <div class="">
                  <input id="c_phone" name="c_phone"placeholder="Telefonnummer" data-parsley-minlength="8" data-parsley-trigger="change" data-parsley-type="number" class=" input-md">
                </div>
              </div>

              <!-- Text input-->
              <div class="">
                <label class="" for="c_streetAddress"><span class="required-star">*</span> Adresse</label>  
                <div class="">
                  <input id="c_streetAddress" name="c_streetAddress" type="text" placeholder="Adresse" class=" input-md" data-parsley-excluded required>   
                </div>
              </div>

              <!-- Text input-->
              <div class="">
                <label class="" for="c_postCode"><span class="required-star">*</span> Postnummer</label>  
                <div class="">
                  <input id="c_postCode" name="c_postCode" placeholder="Postnummer" data-parsley-minlength="4" data-parsley-trigger="change" class=" input-md" required>
                </div>
              </div>

              <!-- Text input-->
              <div class="">
                <label class="" for="c_postPlace"><span class="required-star">*</span> Poststed</label>  
                <div class="">
                  <input id="c_postPlace" name="c_postPlace" type="text" placeholder="Poststed" class=" input-md" required>
                </div>
              </div>

              <!-- country select -->
              <div class="">
                <label class="" for="c_country"><span class="required-star">*</span> Land</label>
                <div class="">
                  <select id="c_country" name="c_country" class=" input-md" required>
                    <option value="AF">Afghanistan</option>
                    <option value="AL">Albania</option>
                    <option value="DZ">Algeria</option>
                    <option value="AS">American Samoa</option>
                    <option value="AD">Andorra</option>
                    <option value="AO">Angola</option>
                    <option value="AI">Anguilla</option>
                    <option value="AQ">Antarctica</option>
                    <option value="AG">Antigua and Barbuda</option>
                    <option value="AR">Argentina</option>
                    <option value="AM">Armenia</option>
                    <option value="AW">Aruba</option>
                    <option value="AU">Australia</option>
                    <option value="AT">Austria</option>
                    <option value="AZ">Azerbaijan</option>
                    <option value="BS">Bahamas</option>
                    <option value="BH">Bahrain</option>
                    <option value="BD">Bangladesh</option>
                    <option value="BB">Barbados</option>
                    <option value="BY">Belarus</option>
                    <option value="BE">Belgium</option>
                    <option value="BZ">Belize</option>
                    <option value="BJ">Benin</option>
                    <option value="BM">Bermuda</option>
                    <option value="BT">Bhutan</option>
                    <option value="BO">Bolivia</option>
                    <option value="BA">Bosnia and Herzegowina</option>
                    <option value="BW">Botswana</option>
                    <option value="BV">Bouvet Island</option>
                    <option value="BR">Brazil</option>
                    <option value="IO">British Indian Ocean Territory</option>
                    <option value="BN">Brunei Darussalam</option>
                    <option value="BG">Bulgaria</option>
                    <option value="BF">Burkina Faso</option>
                    <option value="BI">Burundi</option>
                    <option value="KH">Cambodia</option>
                    <option value="CM">Cameroon</option>
                    <option value="CA">Canada</option>
                    <option value="CV">Cape Verde</option>
                    <option value="KY">Cayman Islands</option>
                    <option value="CF">Central African Republic</option>
                    <option value="TD">Chad</option>
                    <option value="CL">Chile</option>
                    <option value="CN">China</option>
                    <option value="CX">Christmas Island</option>
                    <option value="CC">Cocos (Keeling) Islands</option>
                    <option value="CO">Colombia</option>
                    <option value="KM">Comoros</option>
                    <option value="CG">Congo</option>
                    <option value="CD">Congo, the Democratic Republic of the</option>
                    <option value="CK">Cook Islands</option>
                    <option value="CR">Costa Rica</option>
                    <option value="CI">Cote d'Ivoire</option>
                    <option value="HR">Croatia (Hrvatska)</option>
                    <option value="CU">Cuba</option>
                    <option value="CY">Cyprus</option>
                    <option value="CZ">Czech Republic</option>
                    <option value="DK">Denmark</option>
                    <option value="DJ">Djibouti</option>
                    <option value="DM">Dominica</option>
                    <option value="DO">Dominican Republic</option>
                    <option value="TP">East Timor</option>
                    <option value="EC">Ecuador</option>
                    <option value="EG">Egypt</option>
                    <option value="SV">El Salvador</option>
                    <option value="GQ">Equatorial Guinea</option>
                    <option value="ER">Eritrea</option>
                    <option value="EE">Estonia</option>
                    <option value="ET">Ethiopia</option>
                    <option value="FK">Falkland Islands (Malvinas)</option>
                    <option value="FO">Faroe Islands</option>
                    <option value="FJ">Fiji</option>
                    <option value="FI">Finland</option>
                    <option value="FR">France</option>
                    <option value="FX">France, Metropolitan</option>
                    <option value="GF">French Guiana</option>
                    <option value="PF">French Polynesia</option>
                    <option value="TF">French Southern Territories</option>
                    <option value="GA">Gabon</option>
                    <option value="GM">Gambia</option>
                    <option value="GE">Georgia</option>
                    <option value="DE">Germany</option>
                    <option value="GH">Ghana</option>
                    <option value="GI">Gibraltar</option>
                    <option value="GR">Greece</option>
                    <option value="GL">Greenland</option>
                    <option value="GD">Grenada</option>
                    <option value="GP">Guadeloupe</option>
                    <option value="GU">Guam</option>
                    <option value="GT">Guatemala</option>
                    <option value="GN">Guinea</option>
                    <option value="GW">Guinea-Bissau</option>
                    <option value="GY">Guyana</option>
                    <option value="HT">Haiti</option>
                    <option value="HM">Heard and Mc Donald Islands</option>
                    <option value="VA">Holy See (Vatican City State)</option>
                    <option value="HN">Honduras</option>
                    <option value="HK">Hong Kong</option>
                    <option value="HU">Hungary</option>
                    <option value="IS">Iceland</option>
                    <option value="IN">India</option>
                    <option value="ID">Indonesia</option>
                    <option value="IR">Iran (Islamic Republic of)</option>
                    <option value="IQ">Iraq</option>
                    <option value="IE">Ireland</option>
                    <option value="IL">Israel</option>
                    <option value="IT">Italy</option>
                    <option value="JM">Jamaica</option>
                    <option value="JP">Japan</option>
                    <option value="JO">Jordan</option>
                    <option value="KZ">Kazakhstan</option>
                    <option value="KE">Kenya</option>
                    <option value="KI">Kiribati</option>
                    <option value="KP">Korea, Democratic People's Republic of</option>
                    <option value="KR">Korea, Republic of</option>
                    <option value="KW">Kuwait</option>
                    <option value="KG">Kyrgyzstan</option>
                    <option value="LA">Lao People's Democratic Republic</option>
                    <option value="LV">Latvia</option>
                    <option value="LB">Lebanon</option>
                    <option value="LS">Lesotho</option>
                    <option value="LR">Liberia</option>
                    <option value="LY">Libyan Arab Jamahiriya</option>
                    <option value="LI">Liechtenstein</option>
                    <option value="LT">Lithuania</option>
                    <option value="LU">Luxembourg</option>
                    <option value="MO">Macau</option>
                    <option value="MK">Macedonia, The Former Yugoslav Republic of</option>
                    <option value="MG">Madagascar</option>
                    <option value="MW">Malawi</option>
                    <option value="MY">Malaysia</option>
                    <option value="MV">Maldives</option>
                    <option value="ML">Mali</option>
                    <option value="MT">Malta</option>
                    <option value="MH">Marshall Islands</option>
                    <option value="MQ">Martinique</option>
                    <option value="MR">Mauritania</option>
                    <option value="MU">Mauritius</option>
                    <option value="YT">Mayotte</option>
                    <option value="MX">Mexico</option>
                    <option value="FM">Micronesia, Federated States of</option>
                    <option value="MD">Moldova, Republic of</option>
                    <option value="MC">Monaco</option>
                    <option value="MN">Mongolia</option>
                    <option value="MS">Montserrat</option>
                    <option value="MA">Morocco</option>
                    <option value="MZ">Mozambique</option>
                    <option value="MM">Myanmar</option>
                    <option value="NA">Namibia</option>
                    <option value="NR">Nauru</option>
                    <option value="NP">Nepal</option>
                    <option value="NL">Netherlands</option>
                    <option value="AN">Netherlands Antilles</option>
                    <option value="NC">New Caledonia</option>
                    <option value="NZ">New Zealand</option>
                    <option value="NI">Nicaragua</option>
                    <option value="NE">Niger</option>
                    <option value="NG">Nigeria</option>
                    <option value="NU">Niue</option>
                    <option value="NF">Norfolk Island</option>
                    <option value="MP">Northern Mariana Islands</option>
                    <option value="NO" selected>Norway</option>
                    <option value="OM">Oman</option>
                    <option value="PK">Pakistan</option>
                    <option value="PW">Palau</option>
                    <option value="PA">Panama</option>
                    <option value="PG">Papua New Guinea</option>
                    <option value="PY">Paraguay</option>
                    <option value="PE">Peru</option>
                    <option value="PH">Philippines</option>
                    <option value="PN">Pitcairn</option>
                    <option value="PL">Poland</option>
                    <option value="PT">Portugal</option>
                    <option value="PR">Puerto Rico</option>
                    <option value="QA">Qatar</option>
                    <option value="RE">Reunion</option>
                    <option value="RO">Romania</option>
                    <option value="RU">Russian Federation</option>
                    <option value="RW">Rwanda</option>
                    <option value="KN">Saint Kitts and Nevis</option>
                    <option value="LC">Saint LUCIA</option>
                    <option value="VC">Saint Vincent and the Grenadines</option>
                    <option value="WS">Samoa</option>
                    <option value="SM">San Marino</option>
                    <option value="ST">Sao Tome and Principe</option>
                    <option value="SA">Saudi Arabia</option>
                    <option value="SN">Senegal</option>
                    <option value="SC">Seychelles</option>
                    <option value="SL">Sierra Leone</option>
                    <option value="SG">Singapore</option>
                    <option value="SK">Slovakia (Slovak Republic)</option>
                    <option value="SI">Slovenia</option>
                    <option value="SB">Solomon Islands</option>
                    <option value="SO">Somalia</option>
                    <option value="ZA">South Africa</option>
                    <option value="GS">South Georgia and the South Sandwich Islands</option>
                    <option value="ES">Spain</option>
                    <option value="LK">Sri Lanka</option>
                    <option value="SH">St. Helena</option>
                    <option value="PM">St. Pierre and Miquelon</option>
                    <option value="SD">Sudan</option>
                    <option value="SR">Suriname</option>
                    <option value="SJ">Svalbard and Jan Mayen Islands</option>
                    <option value="SZ">Swaziland</option>
                    <option value="SE">Sweden</option>
                    <option value="CH">Switzerland</option>
                    <option value="SY">Syrian Arab Republic</option>
                    <option value="TW">Taiwan, Province of China</option>
                    <option value="TJ">Tajikistan</option>
                    <option value="TZ">Tanzania, United Republic of</option>
                    <option value="TH">Thailand</option>
                    <option value="TG">Togo</option>
                    <option value="TK">Tokelau</option>
                    <option value="TO">Tonga</option>
                    <option value="TT">Trinidad and Tobago</option>
                    <option value="TN">Tunisia</option>
                    <option value="TR">Turkey</option>
                    <option value="TM">Turkmenistan</option>
                    <option value="TC">Turks and Caicos Islands</option>
                    <option value="TV">Tuvalu</option>
                    <option value="UG">Uganda</option>
                    <option value="UA">Ukraine</option>
                    <option value="AE">United Arab Emirates</option>
                    <option value="GB">United Kingdom</option>
                    <option value="US">United States</option>
                    <option value="UM">United States Minor Outlying Islands</option>
                    <option value="UY">Uruguay</option>
                    <option value="UZ">Uzbekistan</option>
                    <option value="VU">Vanuatu</option>
                    <option value="VE">Venezuela</option>
                    <option value="VN">Viet Nam</option>
                    <option value="VG">Virgin Islands (British)</option>
                    <option value="VI">Virgin Islands (U.S.)</option>
                    <option value="WF">Wallis and Futuna Islands</option>
                    <option value="EH">Western Sahara</option>
                    <option value="YE">Yemen</option>
                    <option value="YU">Yugoslavia</option>
                    <option value="ZM">Zambia</option>
                    <option value="ZW">Zimbabwe</option>
                  </select>
                </div>
              </div>    

              <div class="">
                <label class="" for="c_extBillingID">Din referanse</label>
                <div class="">
                  <input id="c_extBillingID" name="c_extBillingID" type="text" placeholder="Fakturareferanse" class=" input-md">
                  <span class="help-block">Din referanse/fakturareferanse dersom det er nødvendig.</span>
                </div>
              </div>

              <div class="">
                <label class="" for="c_extvatID">Orgnr.</label>
                <div class="">
                  <input id="c_extvatID" name="c_extvatID" type="text" placeholder="Orgnr/VAT" class=" input-md">
                  <span class="help-block">Organisasjonsnummer (VAT).</span>
                </div>
              </div>                  

              <div class="">
                <label class="" for="c_billingAddress">Faktura-adresse</label>
                <div class="">
                  <textarea placeholder="Faktura-adresse" rows="6" class="" id="c_billingAddress" name="c_billingAddress"></textarea>
                  <span class="help-block">
                    Kontaktperson<br>Adresse<br>Postnr. Poststed<br>Land<br>FTP-adresse for levering<br>Ekstra informasjon?
                  </span>
                </div>
              </div>

              <!-- Textarea -->
              <div class="">
                <label class="" for="c_comment">Kommentar</label>
                <div class="">                     
                  <textarea class="" placeholder="Kommentar" id="c_comment" name="c_comment"></textarea>
                </div>
              </div>

              <!-- Select Basic -->
              <div class="">
                <label class="" for="c_deliveryOption"><span class="required-star">*</span> Levering</label>
                <div class="">
                  <select id="c_deliveryOption" name="c_deliveryOption" class="" required="required">
                    <option value></option>
                    <option value="epost">Epost</option>
                    <option value="hentes">Hentes</option>
                    <option value="post">Post</option>
                    <option value="ftp">FTP</option>
                  </select>
                </div>
              </div>
            </div>  

            <div class="">

              <div class="ui alert message">
                <h3>Bruksvilkår</h3>
                <p>Hvis ikke annet er spesielt avtalt gjelder følgende regler:</p>
                <ol>
                  <li>Fysiske bilder til privat bruk kan ikke videreformidles eller publiseres uten tillatelse fra Universitetsbiblioteket.</li>
                  <li>Bildene blir frigitt til publisering når bruker er registrert.</li>
                  <li>Filer til publisering er kun til engangs bruk og skal ikke arkiveres eller videreformidles.</li>
                  <li>Ved ordinær publisering skal det avtales et fremstillingsgebyr.</li>
                  <li>Bildene kan ikke videreformidles i noen trykket form uten spesiell tillatelse fra Universitetsbiblioteket.</li>
                  <li>Ved all publisering, inkludert internett, skal det alltid oppgis fotograf (hvis kjent) og eierinstitusjon (Universitetsbiblioteket i Bergen).</li>
                  <li>Bilder fra Spesialsamlingene/Billedsamlingens nettsted kan fritt lastes ned i den form de er på nettet og brukes fritt, mot kreditering som ovenfor.</li>
                  <li>Bildefiler skal ikke forandres eller manipuleres. Utsnitt bør unngås, men hvis det brukes, skal dette oppgis i bildeteksten.</li>
                  <li>Bruker skal vise aktsomhet ved gjengivelse av bilder, slik at det ikke skjer til skade for / krenker avbildede personer eller skader fotografens ry (jfr. Åndsverksloven).</li>
                </ol>
                <p>Vi gjør oppmerksom på at grunnet ulike originalformater vil bestilte papirbilder variere noe fra oppgitt størrelse.</p>
                <br>
                <label for="kontrakt">
                  <input type="checkbox" id="kontrakt" name="kontrakt" data-parsley-multiple="kontrakt" data-parsley-mincheck="2" data-parsley-validate-if-empty data-parsley-error-message="Du må bekrefte at du har lest og godkjent bruksvilkårene" data-parsley-errors-container=".my_error_container" data-parsley-class-handler=".my_error_container" data-parsley-group="kontrakt" required="required" required/> Jeg har lest og godtar bruksvilkårene</label>
                  <input style="visibility: hidden;" type="checkbox" name="kontrakt" value="false" data-parsley-group="kontrakt" data-parsley-multiple="kontrakt" checked />  
                  <div class="my_error_container"></div>
                </div>

                <div class="ui info message">
                  <div id="cartData" class="clearfix">
                    <div class="col-md-4 text-right">Antall:</div><div class="col-md-8"><span class="simpleCart_quantity"></span></div>
                    <div class="col-md-4 text-right">Sum:</div><div class="col-md-8"><span class="simpleCart_total"></span></div>
                    <div class="col-md-4 text-right">Mva:</div><div class="col-md-8"><span class="simpleCart_tax"></span></div>
                    <div class="col-md-4 h2 text-right"><small>Totalt inkl. mva.: </small></div><div class="col-md-8 h2"><span class="simpleCart_grandTotal"></span></div>
                  </div>
                </div>
                
                <div class="invalid-form-error-message"></div>
                
                <input type="submit" class="validate btn btn-primary btn-lg" value="Bestill" />
              </div>

            </fieldset>
          </form>
        </div>

      </div>

    </div>

  <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.3/jquery.min.js"></script>
  <script type="text/javascript" src="../node_modules/parsleyjs/dist/parsley.min.js"></script>
  <script type="text/javascript" src="../node_modules/parsleyjs/src/i18n/no.js"></script>
  <script type="text/javascript" src="../../js/simplecart/simpleCart.js"></script>
  <link href="../node_modules/parsleyjs/src/parsley.css" rel='stylesheet' type='text/css'>    

  <script type="text/javascript">
    simpleCart({
      checkout: {
        type: "SendForm",
        method: "POST",
        url: "/cart/index.php",
            //url: "https://oppdrag.test.uib.no/cart/index.php",
          },
          cartColumns: [
          { view: 'image' , attr:'thumb', label: false} ,
          { attr: "name" , label: "Tittel" } ,
          { attr: "sign" , label: "Signatur" } ,
          { attr: "type" , label: "Type" } ,
          { view: 'link' , label: '' , attr: 'link' , text: 'Mer informasjon om bildet' } ,
          { attr: "price" , label: "Pris", view: 'currency' } ,
          { view: "decrement" , label: false , text: "-" } ,
          { attr: "quantity" , label: "" } ,
          { view: "increment" , label: false , text: "+" } ,
          { attr: "total" , label: "Sub-total", view: 'currency' } ,
          { view: "remove" , text: "Remove" , label: false }
          ],
          cartStyle: 'table',
          currency: "NOK",
          taxRate: 0.25
        });

    simpleCart.bind( 'beforeCheckout' , function( data ){
      data.c_name = document.getElementById( 'c_name' ).value;
      data.c_email = document.getElementById( 'c_email' ).value;
      data.c_extBillingEmail = document.getElementById( 'c_extBillingEmail' ).value;
      data.c_phone = document.getElementById( 'c_phone' ).value;
      data.c_streetAddress = document.getElementById( 'c_streetAddress' ).value;
      data.c_postCode = document.getElementById( 'c_postCode' ).value;
      data.c_postPlace = document.getElementById( 'c_postPlace' ).value;
      data.c_billingAddress = document.getElementById( 'c_billingAddress' ).value; 
      data.c_country = document.getElementById( 'c_country' ).value;  
      data.c_extBillingID = document.getElementById( 'c_extBillingID' ).value;
      data.c_extvatID = document.getElementById( 'c_extvatID' ).value;
      data.c_comment = document.getElementById( 'c_comment' ).value;
      data.c_deliveryOption = document.getElementById( 'c_deliveryOption' ).value;
    });
    
    window.Parsley.setLocale('no');
    
    $(document).ready(function () {
      $('#c_info').parsley().subscribe('parsley:form:validate', function (formInstance) {

        // if one of these blocks is not failing do not prevent submission
        // we use here group validation with option force (validate even non required fields)
        if (formInstance.isValid()) 
          simpleCart.checkout();


        // else stop form submission
        formInstance.submitEvent.preventDefault();

        // and display a gentle message
        //$('.invalid-form-error-message')
        //  .html("Du må fylle ut alle obligatoriske felt!")
        //  .addClass("filled")
        //  .addClass("alert")
        //  .addClass("alert-danger");
        //return;
        
        // and display a gentle message
        //$('.kontrakt')
        //  .html("Du må godkjenne bruksvilkårene!")
        //  .addClass("filled")
        //  .addClass("alert")
        //  .addClass("alert-danger");
        //return;

        //$('.invalid-form-error-message').html('');
      });
    });
    $('#kontrakt').parsley();
  </script>

<footer class="footer">

</footer>  

</div>
</body>
</html>


